###################################################
### chunk number 1: 
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(5.1, 4.1, 1.1, 2.1))))
require (oosp)
require (atm)


###################################################
### chunk number 2: 
###################################################
e1 = e2 = compenv (x=0)
e1$x
e2$x


###################################################
### chunk number 3: 
###################################################
e1$x = 1:10
e1$x
e2$x


###################################################
### chunk number 4: 
###################################################
data (sample)
sample [1:4,]
attach (sample)


###################################################
### chunk number 5:  eval=FALSE
###################################################
## t = linear (x1)
## t = poly (x1)


###################################################
### chunk number 6:  eval=FALSE
###################################################
## t = linear (x1, y)
## t = linear (x1)
## fit (t, y)


###################################################
### chunk number 7:  eval=FALSE
###################################################
## t = linear (x1, y)
## t = poly (x1, y)


###################################################
### chunk number 8: 
###################################################
t1 = linear (x1)
t2 = linear (x2)
t3 = categorical (x3)
t4 = linear (x4)
m = atm (y, t1, t2, t3, t4)


###################################################
### chunk number 9: 
###################################################
plot (m)


###################################################
### chunk number 10: 
###################################################
t2 = polynomial (x2, deg=2)
m = atm (y, t1, t2, t3, t4)


###################################################
### chunk number 11: 
###################################################
plot (m)


###################################################
### chunk number 12: 
###################################################
t4 = polynomial (x4, deg=2)
m = atm (y, t1, t2, t3, t4)


###################################################
### chunk number 13: 
###################################################
plot (m)


###################################################
### chunk number 14: 
###################################################
evaluate (t3, "D")


###################################################
### chunk number 15: 
###################################################
evaluate (m, list (0, 0, "D", 0) )


###################################################
### chunk number 16: 
###################################################
summary (m, 3)


###################################################
### chunk number 17: 
###################################################
t4 = smooth (x4)
m = atm (y, t1, t2, t3, t4)


###################################################
### chunk number 18: 
###################################################
plot (m, which=4)


###################################################
### chunk number 19: 
###################################################
t4 = smooth (x4, deg=4, refit=2)
m = atm (y, t1, t2, t3, t4)


###################################################
### chunk number 20: 
###################################################
plot (m, which=4)


###################################################
### chunk number 21: 
###################################################
t4$d$sx
t4$e$sy


###################################################
### chunk number 22: 
###################################################
evaluate.smooth


